function err = metricConfocal(aperFocusImage)
% Evaluate the "confocal constancy" metric for the (calibrated)
% aperture-focus image given.
%
% Confocal constancy predicts constant intensity across all apertures for 
% the correct focal setting.

if ~isa(aperFocusImage,'single')
    aperFocusImage = single(aperFocusImage);
end    

sz = size(aperFocusImage);
meanColors   = repmat(single(0),sz(2:5));
distFromMean = repmat(single(0),sz(1:5));

meanColors = mean(aperFocusImage,1);
err = aperFocusImage - repmat(meanColors,[sz(1) 1 1 1 1]);
err = squeeze(sum(sum( err.^2, 5),1));
%err = squeeze(sum(sum( abs(err), 5),1));
%err = sqrt( squeeze(sum(sum( err.^2, 5),1)) / prod(sz(3:5)) );

